OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.GetTextureSubImage

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetARBGetTextureSubImage :: MonadIO m => m Bool
- gl_ARB_get_texture_sub_image :: Bool
- glGetCompressedTextureSubImage :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLsizei -> Ptr a -> m ()
- glGetTextureSubImage :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLenum -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetARBGetTextureSubImage :: MonadIO m => m Bool

Is the ARB_get_texture_sub_image extension supported?

gl_ARB_get_texture_sub_image :: Bool

Is the ARB_get_texture_sub_image extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBGetTextureSubImage` in those cases instead.

# Functions

glGetCompressedTextureSubImage

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLint | `zoffset`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLsizei | `bufSize`.
-> Ptr a | `pixels`.
-> m () |

Manual page for OpenGL 4.x.

glGetTextureSubImage

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLint | `zoffset`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLenum | `format`.
-> GLenum | `type`.
-> GLsizei | `bufSize`.
-> Ptr a | `pixels`.
-> m () |

Manual page for OpenGL 4.x.